be.ehealth.business.mycarenetdomaincommons.builders.impl

## Class AbstractCommonBuilderImpl

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.builders.impl.AbstractCommonBuilderImpl

- All Implemented Interfaces:
    CommonBuilder, ConfigurableImplementation
  Direct Known Subclasses:
    GenericCommonBuilderImpl

      public abstract class AbstractCommonBuilderImpl
      extends Object
      implements CommonBuilder

  Implementation for the `CommonBuilder` interface

- - ### Field Summary

    - ### Fields inherited from interface be.ehealth.business.mycarenetdomaincommons.builders.CommonBuilder

      `PROJECT_NAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCommonBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonInput` | `createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference)` Creates CommonInputType part with given parameters
    `CommonInput` | `createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference, List<Reference> references, List<Attribute> attributes)` Creates CommonInputType part with given parameters
    `CommonInput` | `createCommonInput(PackageInfo packageInfo, boolean isTest, String inputReference)` Deprecated. use the createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference) instead;
    `Origin` | `createOrigin(McnPackageInfo packageInfo)` Create an `Origin`
    `Origin` | `createOrigin(PackageInfo packageInfo)` Deprecated. use createOrigin(McnPackageInfo packageInfo) instead
    `Routing` | `createRouting(Patient patientInfo, org.joda.time.DateTime refDate)` Create the `Routing` with the patientInfo
    `Routing` | `createRouting(Patient patientInfo, LocalDateTime refDate)` Creates Routing object with given parameters.
    `Routing` | `createRoutingToMutuality(String mutuality, org.joda.time.DateTime refDate)` Create the `Routing` with the mutuality
    `Party` | `createSenderForOrigin()` Create the sender (`Party`) from config properties : mycarenet.{projectname}.sender.physicalperson mycarenet.{projectname}.sender.organization
    `void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCommonBuilderImpl

          public AbstractCommonBuilderImpl()

  - ### Method Detail

    - #### initialize

          public void initialize(Map<String,Object> parameterMap)
                          throws TechnicalConnectorException

      Description copied from interface: `ConfigurableImplementation`
      initializes the implementation with additional parameters.
      Specified by:
        `initialize` in interface `ConfigurableImplementation`
      Parameters:
        `parameterMap` - Map with for each propertyString ,the input parameter as Object.
      Throws:
        `TechnicalConnectorException` - if the parameterMap is not correct.

    - #### createCommonInput

          @Deprecated
          public CommonInput createCommonInput(PackageInfo packageInfo,
                                                            boolean isTest,
                                                            String inputReference)
                                                     throws TechnicalConnectorException

      Deprecated. use the createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference) instead;
      Description copied from interface: `CommonBuilder`
      Creates CommonInputType part with given parameters
      Specified by:
        `createCommonInput` in interface `CommonBuilder`
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
        `isTest` - true if you're running a test, false otherwise
        `inputReference` - the inputReference : unique reference created by the careprovider
      Returns:
        filled CommonInput object
      Throws:
        `TechnicalConnectorException`

    - #### createCommonInput

          public CommonInput createCommonInput(McnPackageInfo packageInfo,
                                               boolean isTest,
                                               String inputReference)
                                        throws TechnicalConnectorException

      Description copied from interface: `CommonBuilder`
      Creates CommonInputType part with given parameters
      Specified by:
        `createCommonInput` in interface `CommonBuilder`
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
        `isTest` - true if you're running a test, false otherwise
        `inputReference` - the inputReference : unique reference created by the careprovider
      Returns:
        filled CommonInput object
      Throws:
        `TechnicalConnectorException`

    - #### createCommonInput

          public CommonInput createCommonInput(McnPackageInfo packageInfo,
                                               boolean isTest,
                                               String inputReference,
                                               List<Reference> references,
                                               List<Attribute> attributes)
                                        throws TechnicalConnectorException

      Description copied from interface: `CommonBuilder`
      Creates CommonInputType part with given parameters
      Specified by:
        `createCommonInput` in interface `CommonBuilder`
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
        `isTest` - true if you're running a test, false otherwise
        `inputReference` - the inputReference : unique reference created by the careprovider
      Returns:
        filled CommonInput object
      Throws:
        `TechnicalConnectorException`

    - #### createOrigin

          @Deprecated
          public Origin createOrigin(PackageInfo packageInfo)
                                           throws TechnicalConnectorException

      Deprecated. use createOrigin(McnPackageInfo packageInfo) instead
      Create an `Origin`
      Specified by:
        `createOrigin` in interface `CommonBuilder`
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
      Returns:
        filled Origin object
      Throws:
        `TechnicalConnectorException`

    - #### createOrigin

          public Origin createOrigin(McnPackageInfo packageInfo)
                              throws TechnicalConnectorException

      Create an `Origin`
      Specified by:
        `createOrigin` in interface `CommonBuilder`
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
      Returns:
        filled Origin object
      Throws:
        `TechnicalConnectorException`

    - #### createSenderForOrigin

          public Party createSenderForOrigin()
                                      throws TechnicalConnectorException

      Create the sender (`Party`) from config properties : mycarenet.{projectname}.sender.physicalperson mycarenet.{projectname}.sender.organization
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### createRouting

          public Routing createRouting(Patient patientInfo,
                                       org.joda.time.DateTime refDate)

      Create the `Routing` with the patientInfo
      Specified by:
        `createRouting` in interface `CommonBuilder`
      Parameters:
        `patientInfo` - all the available informations about the concerned patient
        `refDate` - the reference date
      Returns:
        the RoutingType object

    - #### createRouting

          public Routing createRouting(Patient patientInfo,
                                       LocalDateTime refDate)

      Description copied from interface: `CommonBuilder`
      Creates Routing object with given parameters. The routing info is used to determine the OA (insurance organisation) to send the info to. Can be ommitted in some cases ( if other means to determine OA are provided , ex Ws-Addressing header )
      Specified by:
        `createRouting` in interface `CommonBuilder`
      Parameters:
        `patientInfo` - all the available informations about the concerned patient
        `refDate` - the reference date
      Returns:
        the RoutingType object

    - #### createRoutingToMutuality

          public Routing createRoutingToMutuality(String mutuality,
                                                  org.joda.time.DateTime refDate)

      Create the `Routing` with the mutuality
      Specified by:
        `createRoutingToMutuality` in interface `CommonBuilder`
      Parameters:
        `mutuality` - the mutuality identifier (X00).
        `refDate` - the reference date.
      Returns:
        the Routing Object

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.